/* Copyright (C) 2005, 2006, 2007, 2008, 2009 Stefan Frenz
 * 
 * This file is part of SJC, the Small Java Compiler written by Stefan Frenz.
 * 
 * SJC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SJC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SJC. If not, see <http://www.gnu.org/licenses/>.
 */

package ui;

import osio.sun.*;
import compbase.Context;

/**
 * SC: manage a compilation
 * 
 * @author S. Frenz
 * @version 090207 added copyright notice
 *  version 080712 adopted changed compile-interface
 *  version 080702 adopted changed symInfo-debug-interface
 *  version 060720 moved functionallity to Context
 *  version 060714 added support for runtime call on bound exception
 *  version 060628 added support for static compilation
 *  version 060607 initial version
 */

public class SC {
	public static void main(String argv[]) {
	  int res;
	  Context ctx=new Context(new StreamTextPrinter(), new FileBinWriter(),
        new FileTextReader(), new FileBinReader(), new FileDirLister());
	  if ((res=ctx.compile(argv))!=0) System.exit(res);
	  ctx.writeSymInfo();
		System.exit(0);
	}
}
